<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:
        Сделать шиблонизатор элемента по:
        Ширине input type=range
        Цвету  input type=color
        Высоте input type=number
        Скругление углов input type=number
        Margin input type=number

      Свойсвта: https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Properties_Reference

        + Сделать выборку цвета из рандомных 20 цветов которые выбираются из появившегося блока :
        https://s3.envato.com/files/230412754/screenshots/1.png
        За заготовку для рандома цвета использовать функцию из первых занятий.

    */

    window.addEventListener("load", function () {
      const myWidth = document.getElementById('myWidth');
      const myHeight = document.getElementById('myHeight');
      const myColor = document.getElementById('myColor');
      const myBorders = document.getElementById('myBorders');
      const myMargin = document.getElementById('myMargin');
      
      myWidth.addEventListener('input', function(event){
        result.style.width = event.target.value + 'px';
      });

      myColor.addEventListener('input' , function(e) {
        result.style.backgroundColor = e.target.value;
      });
      myHeight.addEventListener('input', function(e){
        result.style.height = e.target.value + 'px';
      });
      myBorders.addEventListener('input', function(e){
        result.style.borderRadius = e.target.value/5 + 'px';
      });
      myMargin.addEventListener('input', function(e){
        result.style.margin = e.target.value/5 + 'px';
      });
    });

  </script>

  <style>
    #test {
      width: 400px;
      height: 400px;
      background: green;
    }
  </style>
</head>
<body>
  <div class="Templating">
    <form>
      <input type="range" id="myWidth" min="10" max="500" step="10"/>
      <input type="color" id="myColor" min="10" max="500" step="10" list="colorList"/>
      <input type="range" id="myHeight" min="10" max="500" step="10"/>
      <input type="range" id="myBorders" min="10" max="500" step="10"/>
      <input type="range" id="myMargin" min="10" max="500" step="10"/>
    </form>
    <datalist id="colorList">
      <option value="#ff0000" label="Красный">
      <option value="#008000" label="Зелёный">
      <option value="#0000ff" label="Синий">
      <option value="#44e3bd" label="">
      <option value="#c52bc5" label="">
      <option value="#3ba1c7" label="">
      <option value="#c2744a" label="">
      <option value="#44e3bd" label="">
      <option value="#c70341" label=""> 
      <option value="#8f03cc" label="">                     
    </datalist>
    <div class="TemplatingResult">
      <div id="result" class="result"></div>
    </div>
  </div>


  <div id="test">
    <span>some test</span>
  </div>

  <style>
    #colors{
      width: 200px;

      display: flex;
      flex-wrap: wrap;
    }
    .result{
      width: 50px;
      background: gray;
      box-sizing: border-box;
      padding: 10px;
    }
    #MyValidateForm{
      width: 350px;
      display: flex;
      flex-direction: column;
    }

    #MyValidateForm input{
      margin-bottom: 10px;
      box-sizing: border-box;
      padding: 10px 20px;
    }
    .circle{
      width: 30px;
      height: 30px;
      background: #eee;
      border-radius: 50%;
    }
  </style>
</body>
</html>
